package org.ow2.odis.test;

import java.util.List;
import java.util.ArrayList;
import junit.framework.TestCase;

/**
 * Junit test utilities.
 * @author ojoh6423 & olivier beyler FT R&D
 *
 */
public class TestUtil {

    static private List COMMENT = new ArrayList();

    /**
     * Outputs TestCase name.
     * @param test the test case
     */
    public static final void TRACE(TestCase test) {
        TRACE(test, null);
    }

    public static final void COMMENT(String details) {
        COMMENT.add(details);
    }

    /**
     * Outputs TestCase name and additional details provided.
     * @param test the test case
     */
    public static final void TRACE(TestCase test, String details) {
        String name = test.getClass().getName();
        name = name.substring(name.lastIndexOf(".") + 1);
        System.out.println("=================================================");
        System.out.println(name + ":" + test.getName());
        System.out.println("=================================================");
        boolean comment = !COMMENT.isEmpty() || details != null;
        while (!COMMENT.isEmpty()) {
            System.out.println(COMMENT.remove(0).toString());
        }
        if (details != null) {
            System.out.println(details);
        }
        if (comment) {
            System.out.println("=================================================");
        }
    }
}
